package com.ruoyi.ibs.grid.mapper;

import java.util.List;

import com.ruoyi.common.core.domain.entity.GridVirtualUserRelate;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-09-24
 */
public interface GridVirtualUserRelateMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public GridVirtualUserRelate selectGridVirtualUserRelateById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param gridVirtualUserRelate 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<GridVirtualUserRelate> selectGridVirtualUserRelateList(GridVirtualUserRelate gridVirtualUserRelate);

    /**
     * 新增【请填写功能名称】
     * 
     * @param gridVirtualUserRelate 【请填写功能名称】
     * @return 结果
     */
    public int insertGridVirtualUserRelate(GridVirtualUserRelate gridVirtualUserRelate);

    /**
     * 修改【请填写功能名称】
     * 
     * @param gridVirtualUserRelate 【请填写功能名称】
     * @return 结果
     */
    public int updateGridVirtualUserRelate(GridVirtualUserRelate gridVirtualUserRelate);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteGridVirtualUserRelateById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGridVirtualUserRelateByIds(Long[] ids);


    /**
     * 根据网格id进行查询
     *
     * @param gridId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public List<String> selectDeptNameByGridId(Long gridId);

    /**
     * 根据网格id进行查询
     *
     * @param gridId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public List<String> selectDeptTypeByGridId(Long gridId);

    /**
     * 根据网格id进行查询
     *
     * @param gridId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public List<String> selectCustManagerByGridId(Long gridId);

    /**
     * 删除虚拟网格
     *
     * @param gridId 虚拟网格主键
     * @return 结果
     */
    public int deleteGridVirtualGridByGridId(Long gridId);

}
